Media

Permanently delete a trashed project media asset

POST
/api/projects/{projectId}/media/{assetId}/permanent

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Path Parameters

projectId*string
Length1 <= length
assetId*string
Length1 <= length

Response Body

Response for status 200

application/json
  1. response
status*string
Example Request
curl -X POST 'https://postbot.example/api/projects/string/media/string/permanent'
Example Response
{
  "status": "deleted"
}

Was this page helpful?